Name:           gwho
Version:        0.1
Release:        1%{?dist}
Summary:        Graphical interface for the *NIX command "who"

Group:          Applications/System
License:        GPLv3
URL:            http://gwho.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.1-makefile.patch
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglade2-devel
BuildRequires:  desktop-file-utils
Requires:       /usr/bin/who

%description
Gwho is a graphical interface for the *NIX command "who" written in GTK+2/Glade
with color codes for user idle times and no need of configuration. See in 
realtime who logged into your machine and check if he/she is idle or not.


%prep
%setup -qn %{name}
%patch0 -p1 -b .orig
# fix glade file
sed -i 's|/usr/local/share|%{_datadir}|g' %{name}.glade gwho.c


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
desktop-file-install                               \
  --dir=%{buildroot}%{_datadir}/applications       \
  %{SOURCE1}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Sep 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1-1
- Initial package
